Retrieve all Machine Capabilities

View as Markdown

Get all distinct Machine Capabilities across all Machines

Org must have an Infrastructure Provider entity. User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringRequired
Filter Capabilities by Machines from a particular Site
hasInstanceTypebooleanOptional
Filter Capabilities by Machines that have an Instance Type
typestringOptional
Filter Capabilities by Type
namestringOptional
Filter Capabilities by Name
frequencystringOptional
Filter Capabilities by Frequency value
capacitystringOptional
Filter Capabilities by Capacity value
vendorstringOptional
Filter Capabilities by Vendor
inactiveDevicesstringOptional

Filter Capabilities by Inactive Devices value. Since the value is an array, multiple query parameters should be specified in the correct order. For example, to filter for [1, 3], specify inactiveDevices=1&inactiveDevices=3

countstringOptional
Filter Capabilities by Count
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
typeenumOptional
Type of the Capability
namestringOptional
Name of the Capability component
frequencystring or nullOptional
Frequency of the Capability component, if available
coresuint or nullOptional>=0
Number of Cores in the Capability component, if applicable
threadsuint or nullOptional>=0
Number of Threads in the Capability component, if applicable
capacitystring or nullOptional
Capacity of the Capability component, if applicable
vendorstring or nullOptional
Vendor of the Capability component, if available
hardwareRevisionstring or nullOptional
Hardware revision of the Capability component, if available
inactiveDeviceslist of uintsOptional
A list of inactive devices
countuint or nullOptional>=0
Count of the Capability component
deviceTypestring or nullOptional
Device Type of the Capability component, if available

Errors

403
Forbidden Error